ActiveMQAsfEndpointWorker.ServerSessionPoolImpl (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.ra.ActiveMQAsfEndpointWorker.ServerSessionPoolImpl class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.ra
Class ActiveMQAsfEndpointWorker.ServerSessionPoolImpl

    java.lang.Object
      org.codehaus.activemq.ra.ActiveMQAsfEndpointWorker.ServerSessionPoolImpl

All Implemented Interfaces:
  ServerSessionPool

Enclosing class:
  ActiveMQAsfEndpointWorker

class ActiveMQAsfEndpointWorker.ServerSessionPoolImpl
extends Object
implements ServerSessionPool

Field Summary
`(package private) LinkedList` | `activeSessions`
`(package private) boolean` | `closing`
`(package private) ArrayList` | `idleSessions`
`(package private) int` | `nextUsedSession`
`(package private) int` | `sessionIds`
`(package private) ActiveMQAsfEndpointWorker.ServerSessionImpl` | `ss`

Constructor Summary
`ActiveMQAsfEndpointWorker.ServerSessionPoolImpl()`

Method Summary
`void` | `close()`
`ActiveMQAsfEndpointWorker.ServerSessionImpl` | `createServerSessionImpl()`
`ServerSession` | `getServerSession()`
`void` | `returnToPool(ActiveMQAsfEndpointWorker.ServerSessionImpl ss)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ss

    ActiveMQAsfEndpointWorker.ServerSessionImpl ss

### idleSessions

    ArrayList idleSessions

### activeSessions

    LinkedList activeSessions

### sessionIds

    int sessionIds

### nextUsedSession

    int nextUsedSession

### closing

    boolean closing

Constructor Detail

### ActiveMQAsfEndpointWorker.ServerSessionPoolImpl

    public ActiveMQAsfEndpointWorker.ServerSessionPoolImpl()

Method Detail

### createServerSessionImpl

    public ActiveMQAsfEndpointWorker.ServerSessionImpl createServerSessionImpl()
                                                                        throws JMSException

  Throws:
    `JMSException`

### getServerSession

    public ServerSession getServerSession()
                                   throws JMSException

  Specified by:
    `getServerSession` in interface `ServerSessionPool`
  Throws:
    `JMSException`

### returnToPool

    public void returnToPool(ActiveMQAsfEndpointWorker.ServerSessionImpl ss)

### close

    public void close()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.